Page MenuHomePhabricator

Change project namespace name on Walloon Wiktionary to "Wiccionaire"
Closed, ResolvedPublic

Description

Is that possible to translate (or make an alias for) the namespace "Wiktionary" to "Wiccionaire".
There are many pages with this prefix (e.g.: Wiccionaire:Prononçaedje zero-cnoxheu) and the logo has this translation.

Thanks in advance.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2017, 10:35 AM

Change 394771 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Translate name of Wiktionary in Wallon

https://gerrit.wikimedia.org/r/394771

jhsoby claimed this task.Dec 2 2017, 8:18 PM
jhsoby added a subscriber: jhsoby.

Added patch, but I'm not 100 % sure what will happen with the existing pages using the "Wiccionaire:" prefix. I think they will just be considered as part of the project namespace, but someone should probably confirm that.

The patch also changes the sitename to "Wiccionaire", it is currently the default "Wiktionary".

jhsoby renamed this task from Translation namespace on Walloon Wiktionary to Change project namespace name on Walloon Wiktionary to "Wiccionaire".Dec 2 2017, 8:19 PM

Something like php maintenance/namespaceDupes.php --wiki=wawiktionary --fix will be performed during the SWAT window by the dev who will deploy this patch.

MarcoAurelio added a subscriber: MarcoAurelio.

Yes, you need to run that script afterwards or you'll have broken namespaces. This is important.

Change 394771 merged by jenkins-bot:
[operations/mediawiki-config@master] Localize sitename and meta NS for wawiktionary

https://gerrit.wikimedia.org/r/394771

zfilipin@terbium:~$ mwscript namespaceDupes.php wawiktionary --fix --move-talk
id=2444 ns=1 dbk=Wikt:Batisse -> Copene:Wikt-Batisse (no conflict)
1 pages to fix, 1 were resolvable.
0 links to fix, 0 were resolvable.
Looks good!
zfilipin@terbium:~$ mwscript namespaceDupes.php wawiktionary --fix --source-pseudo-namespace=Wiccionaire --dest-namespace=4 --move-talk
Checking prefix "Wiccionaire" vs namespace 4
id=30259 ns=0 dbk=Wiccionaire:AFE -> Wiktionary:AFE (no conflict)
id=30463 ns=0 dbk=Wiccionaire:Accints_do_walon -> Wiktionary:Accints_do_walon (no conflict)
id=34840 ns=0 dbk=Wiccionaire:Ahiket -> Wiktionary:Ahiket (no conflict)
id=30327 ns=0 dbk=Wiccionaire:Alfabet_Fonetike_Eternåcionå -> Wiktionary:Alfabet_Fonetike_Eternåcionå (no conflict)
id=32254 ns=0 dbk=Wiccionaire:Alfabet_tifinar -> Wiktionary:Alfabet_tifinar (no conflict)
id=30956 ns=0 dbk=Wiccionaire:Aplacaedje -> Wiktionary:Aplacaedje (no conflict)
id=30472 ns=0 dbk=Wiccionaire:Aplacaedje_tîxhon -> Wiktionary:Aplacaedje_tîxhon (no conflict)
id=36170 ns=0 dbk=Wiccionaire:Arabe_classike -> Wiktionary:Arabe_classike (no conflict)
id=47722 ns=0 dbk=Wiccionaire:Arabe_marokin -> Wiktionary:Arabe_marokin (no conflict)
id=35435 ns=0 dbk=Wiccionaire:Aschates_walon_picård -> Wiktionary:Aschates_walon_picård (no conflict)
id=34239 ns=0 dbk=Wiccionaire:Babel *** dest title exists and --add-prefix not specified
id=29776 ns=0 dbk=Wiccionaire:Bar -> Wiktionary:Bar (no conflict)
id=32326 ns=0 dbk=Wiccionaire:Basse_Årdene -> Wiktionary:Basse_Årdene (no conflict)
id=34935 ns=0 dbk=Wiccionaire:Betchfessî_ae -> Wiktionary:Betchfessî_ae (no conflict)
id=37258 ns=0 dbk=Wiccionaire:Betchfessî_ai -> Wiktionary:Betchfessî_ai (no conflict)
id=33584 ns=0 dbk=Wiccionaire:Betchfessî_ea -> Wiktionary:Betchfessî_ea (no conflict)
id=33142 ns=0 dbk=Wiccionaire:Betchfessî_ey -> Wiktionary:Betchfessî_ey (no conflict)
id=33133 ns=0 dbk=Wiccionaire:Betchfessî_jh -> Wiktionary:Betchfessî_jh (no conflict)
id=33131 ns=0 dbk=Wiccionaire:Betchfessî_oe -> Wiktionary:Betchfessî_oe (no conflict)
id=33362 ns=0 dbk=Wiccionaire:Betchfessî_sh -> Wiktionary:Betchfessî_sh (no conflict)
id=33136 ns=0 dbk=Wiccionaire:Betchfessî_xh -> Wiktionary:Betchfessî_xh (no conflict)
id=33141 ns=0 dbk=Wiccionaire:Betchfessî_å -> Wiktionary:Betchfessî_å (no conflict)
id=33978 ns=0 dbk=Wiccionaire:Betchfessî_én -> Wiktionary:Betchfessî_én (no conflict)
id=45461 ns=0 dbk=Wiccionaire:Betchfessî_ô -> Wiktionary:Betchfessî_ô (no conflict)
id=45704 ns=0 dbk=Wiccionaire:Candjmint_d'_voyale_e_prumî_pî_e_cmon_amazir_marokin -> Wiktionary:Candjmint_d'_voyale_e_prumî_pî_e_cmon_amazir_marokin (no conflict)
id=33085 ns=0 dbk=Wiccionaire:Cawete_-nut -> Wiktionary:Cawete_-nut (no conflict)
id=30842 ns=0 dbk=Wiccionaire:Cawete_di_codjowaedje -> Wiktionary:Cawete_di_codjowaedje (no conflict)
id=30371 ns=0 dbk=Wiccionaire:Cawetes_et_betchetes -> Wiktionary:Cawetes_et_betchetes (no conflict)
id=40417 ns=0 dbk=Wiccionaire:Codjowaedje_alouwer -> Wiktionary:Codjowaedje_alouwer (no conflict)
id=33403 ns=0 dbk=Wiccionaire:Codjowaedje_bouter -> Wiktionary:Codjowaedje_bouter (no conflict)
id=30348 ns=0 dbk=Wiccionaire:Codjowaedje_copiner -> Wiktionary:Codjowaedje_copiner (no conflict)
id=33405 ns=0 dbk=Wiccionaire:Codjowaedje_criyî -> Wiktionary:Codjowaedje_criyî (no conflict)
id=33404 ns=0 dbk=Wiccionaire:Codjowaedje_picî -> Wiktionary:Codjowaedje_picî (no conflict)
id=32750 ns=0 dbk=Wiccionaire:Codjowaedje_prusti -> Wiktionary:Codjowaedje_prusti (no conflict)
id=32121 ns=0 dbk=Wiccionaire:Codjowaedje_shofler -> Wiktionary:Codjowaedje_shofler (no conflict)
id=35987 ns=0 dbk=Wiccionaire:Codjowaedje_waitî -> Wiktionary:Codjowaedje_waitî (no conflict)
id=32150 ns=0 dbk=Wiccionaire:Codjowaedjes -> Wiktionary:Codjowaedjes (no conflict)
id=30349 ns=0 dbk=Wiccionaire:Codowaedje_bouter -> Wiktionary:Codowaedje_bouter (no conflict)
id=30353 ns=0 dbk=Wiccionaire:Codowaedje_criyî -> Wiktionary:Codowaedje_criyî (no conflict)
id=31617 ns=0 dbk=Wiccionaire:Codowaedje_mancî -> Wiktionary:Codowaedje_mancî (no conflict)
id=31619 ns=0 dbk=Wiccionaire:Codowaedje_picî -> Wiktionary:Codowaedje_picî (no conflict)
id=32122 ns=0 dbk=Wiccionaire:Codowaedje_shofler -> Wiktionary:Codowaedje_shofler (no conflict)
id=40006 ns=0 dbk=Wiccionaire:Contåvté -> Wiktionary:Contåvté (no conflict)
id=33718 ns=0 dbk=Wiccionaire:Coûtchant_walon -> Wiktionary:Coûtchant_walon (no conflict)
id=29999 ns=0 dbk=Wiccionaire:Cåbaret -> Wiktionary:Cåbaret (no conflict)
id=36417 ns=0 dbk=Wiccionaire:DIE -> Wiktionary:DIE (no conflict)
id=30496 ns=0 dbk=Wiccionaire:Dataedje_des_mots -> Wiktionary:Dataedje_des_mots (no conflict)
id=31660 ns=0 dbk=Wiccionaire:Diftongaedje -> Wiktionary:Diftongaedje (no conflict)
id=31454 ns=0 dbk=Wiccionaire:Disfondowe -> Wiktionary:Disfondowe (no conflict)
id=33722 ns=0 dbk=Wiccionaire:Dispotchaedje -> Wiktionary:Dispotchaedje (no conflict)
id=31608 ns=0 dbk=Wiccionaire:Divanceye_voyale -> Wiktionary:Divanceye_voyale (no conflict)
id=32143 ns=0 dbk=Wiccionaire:Djin_(croejhete) -> Wiktionary:Djin_(croejhete) (no conflict)
id=29740 ns=0 dbk=Wiccionaire:Djinre -> Wiktionary:Djinre (no conflict)
id=33005 ns=0 dbk=Wiccionaire:Dobe_betchete -> Wiktionary:Dobe_betchete (no conflict)
id=34917 ns=0 dbk=Wiccionaire:Dobe_cawete -> Wiktionary:Dobe_cawete (no conflict)
id=30500 ns=0 dbk=Wiccionaire:Dobe_rifondaedje -> Wiktionary:Dobe_rifondaedje (no conflict)
id=30499 ns=0 dbk=Wiccionaire:Dobe_rifondaedje_des_betchetes -> Wiktionary:Dobe_rifondaedje_des_betchetes (no conflict)
id=36422 ns=0 dbk=Wiccionaire:Dobe_rifondowe -> Wiktionary:Dobe_rifondowe (no conflict)
id=35182 ns=0 dbk=Wiccionaire:Dobès_cawetes -> Wiktionary:Dobès_cawetes (no conflict)
id=32605 ns=0 dbk=Wiccionaire:Dobès_rfondowes -> Wiktionary:Dobès_rfondowes (no conflict)
id=33107 ns=0 dbk=Wiccionaire:Dodobe_mot -> Wiktionary:Dodobe_mot (no conflict)
id=36143 ns=0 dbk=Wiccionaire:Erî-rfwaits_mots -> Wiktionary:Erî-rfwaits_mots (no conflict)
id=32785 ns=0 dbk=Wiccionaire:Hôte_Årdene -> Wiktionary:Hôte_Årdene (no conflict)
id=48800 ns=0 dbk=Wiccionaire:ISO_639 -> Wiktionary:ISO_639 (no conflict)
id=50021 ns=0 dbk=Wiccionaire:Indicatif -> Wiktionary:Indicatif (no conflict)
id=32456 ns=0 dbk=Wiccionaire:Indicatif_prezintrece -> Wiktionary:Indicatif_prezintrece (no conflict)
id=30627 ns=0 dbk=Wiccionaire:Intrêyes_bén_apontieyes -> Wiktionary:Intrêyes_bén_apontieyes (no conflict)
id=32139 ns=0 dbk=Wiccionaire:Kimandeu_(tins) -> Wiktionary:Kimandeu_(tins) (no conflict)
id=48873 ns=0 dbk=Wiccionaire:Kimon_amazir_marokin -> Wiktionary:Kimon_amazir_marokin (no conflict)
id=30099 ns=0 dbk=Wiccionaire:Li_Cåbaret -> Wiktionary:Li_Cåbaret (no conflict)
id=30581 ns=0 dbk=Wiccionaire:Nombe_(croejhete) -> Wiktionary:Nombe_(croejhete) (no conflict)
id=50394 ns=0 dbk=Wiccionaire:Nombes -> Wiktionary:Nombes (no conflict)
id=29723 ns=0 dbk=Wiccionaire:Nosse_cåbaret -> Wiktionary:Nosse_cåbaret (no conflict)
id=33613 ns=0 dbk=Wiccionaire:Novelès_intrêyes_walones -> Wiktionary:Novelès_intrêyes_walones (no conflict)
id=29747 ns=0 dbk=Wiccionaire:Plaeçaedje_des_addjectifs -> Wiktionary:Plaeçaedje_des_addjectifs (no conflict)
id=2098 ns=0 dbk=Wiccionaire:Prononçaedje_possibe -> Wiktionary:Prononçaedje_possibe (no conflict)
id=2095 ns=0 dbk=Wiccionaire:Prononçaedje_zero-cnoxheu -> Wiktionary:Prononçaedje_zero-cnoxheu (no conflict)
id=31175 ns=0 dbk=Wiccionaire:Pronos_sudjets -> Wiktionary:Pronos_sudjets (no conflict)
id=31145 ns=0 dbk=Wiccionaire:Pårticipe_erirece -> Wiktionary:Pårticipe_erirece (no conflict)
id=31887 ns=0 dbk=Wiccionaire:Pårticipe_prezintrece -> Wiktionary:Pårticipe_prezintrece (no conflict)
id=36234 ns=0 dbk=Wiccionaire:Ralfabetijhaedje -> Wiktionary:Ralfabetijhaedje (no conflict)
id=32689 ns=0 dbk=Wiccionaire:Raptitixhants_mots -> Wiktionary:Raptitixhants_mots (no conflict)
id=32581 ns=0 dbk=Wiccionaire:Ribetchfessaedje -> Wiktionary:Ribetchfessaedje (no conflict)
id=31633 ns=0 dbk=Wiccionaire:Rifondou_walon -> Wiktionary:Rifondou_walon (no conflict)
id=30415 ns=0 dbk=Wiccionaire:Rimagnaedje_di_letes -> Wiktionary:Rimagnaedje_di_letes (no conflict)
id=46907 ns=0 dbk=Wiccionaire:Rimetant_addjectif -> Wiktionary:Rimetant_addjectif (no conflict)
id=50022 ns=0 dbk=Wiccionaire:Ripassé_prezint -> Wiktionary:Ripassé_prezint (no conflict)
id=32521 ns=0 dbk=Wiccionaire:Rîle_des_troes_cossounes -> Wiktionary:Rîle_des_troes_cossounes (no conflict)
id=29892 ns=0 dbk=Wiccionaire:Sandbox -> Wiktionary:Sandbox (no conflict)
id=45120 ns=0 dbk=Wiccionaire:Sicrijhas_do_20e_sieke -> Wiktionary:Sicrijhas_do_20e_sieke (no conflict)
id=31169 ns=0 dbk=Wiccionaire:Sipotchaedje -> Wiktionary:Sipotchaedje (no conflict)
id=30937 ns=0 dbk=Wiccionaire:Sistinme_Feller -> Wiktionary:Sistinme_Feller (no conflict)
id=46908 ns=0 dbk=Wiccionaire:Sormetant -> Wiktionary:Sormetant (no conflict)
id=30910 ns=0 dbk=Wiccionaire:Stindaedje_do_sinse -> Wiktionary:Stindaedje_do_sinse (no conflict)
id=31414 ns=0 dbk=Wiccionaire:Tins_d'_codjowaedje -> Wiktionary:Tins_d'_codjowaedje (no conflict)
id=36534 ns=0 dbk=Wiccionaire:Trokes_di_codjowaedje -> Wiktionary:Trokes_di_codjowaedje (no conflict)
id=31585 ns=0 dbk=Wiccionaire:Trokes_di_viebes_e_walon -> Wiktionary:Trokes_di_viebes_e_walon (no conflict)
id=36418 ns=0 dbk=Wiccionaire:Tåvleas_d'_codjowaedje_do_walon -> Wiktionary:Tåvleas_d'_codjowaedje_do_walon (no conflict)
id=39311 ns=0 dbk=Wiccionaire:Tåvleas_po_ls_addjectifs_walons -> Wiktionary:Tåvleas_po_ls_addjectifs_walons (no conflict)
id=30593 ns=0 dbk=Wiccionaire:Viebes_sorlon_leus_coplemints_et_leu_sudjet -> Wiktionary:Viebes_sorlon_leus_coplemints_et_leu_sudjet (no conflict)
id=32596 ns=0 dbk=Wiccionaire:Voyale -> Wiktionary:Voyale (no conflict)
id=33144 ns=0 dbk=Wiccionaire:Vwès_a_nén_adjixhant_sudjet -> Wiktionary:Vwès_a_nén_adjixhant_sudjet (no conflict)
id=32149 ns=0 dbk=Wiccionaire:Walon_do_Coûtchant -> Wiktionary:Walon_do_Coûtchant (no conflict)
id=2130 ns=0 dbk=Wiccionaire:Walon_do_Levant -> Wiktionary:Walon_do_Levant (no conflict)
id=30335 ns=0 dbk=Wiccionaire:Walon_do_Mitan -> Wiktionary:Walon_do_Mitan (no conflict)
id=36233 ns=0 dbk=Wiccionaire:arabe -> Wiktionary:arabe (no conflict)
id=30215 ns=0 dbk=Wiccionaire:arabe_marokin -> Wiktionary:arabe_marokin (no conflict)
id=32625 ns=0 dbk=Wiccionaire:cawete_di_codjowaedje -> Wiktionary:cawete_di_codjowaedje (no conflict)
id=30094 ns=0 dbk=Wiccionaire:codjowaedje_tcheryî -> Wiktionary:codjowaedje_tcheryî (no conflict)
id=30602 ns=0 dbk=Wiccionaire:nombe_(croejhete) -> Wiktionary:nombe_(croejhete) (no conflict)
id=14893 ns=0 dbk=Wiccionaire:tchitche,_tchike_et_parintêye -> Wiktionary:tchitche,_tchike_et_parintêye (no conflict)
id=32954 ns=0 dbk=Wiccionaire:vî_lingaedje_d'_oyi -> Wiktionary:vî_lingaedje_d'_oyi (no conflict)
id=36743 ns=0 dbk=Wiccionaire:Årdene_nonnrece -> Wiktionary:Årdene_nonnrece (no conflict)
id=32917 ns=1 dbk=Wiccionaire:Intrêyes_bén_apontieyes -> Wiktionary_copene:Intrêyes_bén_apontieyes (no conflict)
id=2131 ns=1 dbk=Wiccionaire:Prononçaedje_zero-cnoxheu -> Wiktionary_copene:Prononçaedje_zero-cnoxheu (no conflict)
id=50645 ns=1 dbk=Wiccionaire:arabe_marokin -> Wiktionary_copene:arabe_marokin (no conflict)

Oh noeees

Looks like this is the problem:

id=34239 ns=0 dbk=Wiccionaire:Babel *** dest title exists and --add-prefix not specified
zfilipin@terbium:~$ mwscript namespaceDupes.php wawiktionary --fix --source-pseudo-namespace=Wiccionaire --dest-namespace=4 --move-talk --add-prefix=Moved
Checking prefix "Wiccionaire" vs namespace 4
id=34239 ns=0 dbk=Wiccionaire:Babel -> Wiktionary:MovedBabel (alternate)

Looks good!

Mentioned in SAL (#wikimedia-operations) [2017-12-04T14:28:36Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:394771|Localize sitename and meta NS for wawiktionary (T181782)]] (duration: 00m 46s)

jhsoby closed this task as Resolved.Dec 4 2017, 4:49 PM

Thank you very much.